Subject: Ticket Assigned - 9576651689/ late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 04 Jul 2022 15:14:26 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9576651689/ late delivery Sucharita                    Hello           06:53 PM, 04th Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           06:53 PM, 04th Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            06:53 PM, 04th Jul                     Sucharita                    I placed an order 3 days ago           06:53 PM, 04th Jul                     Sucharita                    Still hasn’t been delivered           06:53 PM, 04th Jul                     Sucharita                    9576651689           06:53 PM, 04th Jul                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            06:55 PM, 04th Jul                   New                   If you have any pictures that you would like to share, please do that.            06:55 PM, 04th Jul                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           06:55 PM, 04th Jul                   Alhamzi                   Hi, thank you for contacting us. This's Alhamzi We would be happy to help you.           06:58 PM, 04th Jul                   Alhamzi                   Please wait while we check the details.            06:58 PM, 04th Jul                     Sucharita                    Yes pls           06:59 PM, 04th Jul                     Sucharita                    It’s been 3 days now and it said it would be delivered yesterday           06:59 PM, 04th Jul                     Sucharita                    I need you to expedite the delivery as I need this before tomorrow morning           07:00 PM, 04th Jul                   Alhamzi                   Please confirm if the following phone number is correct: 971544332825           07:00 PM, 04th Jul                     Sucharita                    Yes           07:01 PM, 04th Jul                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             07:06 PM, 04th Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           07:06 PM, 04th Jul                     Sucharita                    Ok but this doesn’t solve my issue yet           07:07 PM, 04th Jul                     Sucharita                    When will you be able to get back to me?           07:07 PM, 04th Jul                   Alhamzi                   kindly not that we do not know the exact delivery time but rest assured that we are doing the needful to deliver your order ASAP.    Please allow us some more time            07:10 PM, 04th Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           07:10 PM, 04th Jul                     Sucharita                    No           07:10 PM, 04th Jul                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           07:14 PM, 04th Jul                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4582300